package com.alttd.webinterface.appeals;

import net.dv8tion.jda.api.entities.Guild;

public class BanToBannedUser {

    public static BannedUser map(Guild.Ban ban) {
        return new BannedUser(ban.getUser().getIdLong(),
                              ban.getReason(),
                              ban.getUser().getEffectiveName(),
                              ban.getUser().getEffectiveAvatarUrl());
    }

}
